diff --git a/pengine/test10/whitebox-migrate1.exp b/pengine/test10/whitebox-migrate1.exp
index 6ce29eb30..1b6c451dc 100644
--- a/pengine/test10/whitebox-migrate1.exp
+++ b/pengine/test10/whitebox-migrate1.exp
@@ -1,33 +1,33 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="14" operation="monitor" operation_key="shooter1_monitor_60000" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="15" operation="monitor" operation_key="shooter1_monitor_60000" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="shooter1" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="13" operation="start" operation_key="shooter1_start_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="14" operation="start" operation_key="shooter1_start_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="13" operation="start" operation_key="shooter1_start_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="14" operation="start" operation_key="shooter1_start_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="shooter1" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="13" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="12" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="13" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="shooter1" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -36,33 +36,33 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="21" operation="monitor" operation_key="FAKE3_monitor_10000" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="22" operation="monitor" operation_key="FAKE3_monitor_10000" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="FAKE3" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="20" operation="start" operation_key="FAKE3_start_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="21" operation="start" operation_key="FAKE3_start_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="20" operation="start" operation_key="FAKE3_start_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="21" operation="start" operation_key="FAKE3_start_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="FAKE3" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="19" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="20" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="19" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="20" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="FAKE3" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -71,20 +71,20 @@
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="34" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="35" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="remote-rsc" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_migrate_source="rhel7-node2" CRM_meta_migrate_target="rhel7-node3" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_remote_node="rhel7-node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="33" operation="migrate_to" operation_key="remote-rsc_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="34" operation="migrate_to" operation_key="remote-rsc_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="33" operation="migrate_to" operation_key="remote-rsc_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="34" operation="migrate_to" operation_key="remote-rsc_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="remote-rsc" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_migrate_source="rhel7-node2" CRM_meta_migrate_target="rhel7-node3" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_record_pending="true" CRM_meta_remote_node="rhel7-node1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -93,136 +93,154 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="32" operation="monitor" operation_key="remote-rsc_monitor_10000" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="33" operation="monitor" operation_key="remote-rsc_monitor_10000" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="remote-rsc" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_remote_node="rhel7-node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="31" operation="start" operation_key="remote-rsc_start_0"/>
+        <pseudo_event id="32" operation="start" operation_key="remote-rsc_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="31" operation="start" operation_key="remote-rsc_start_0">
+      <pseudo_event id="32" operation="start" operation_key="remote-rsc_start_0">
         <attributes CRM_meta_name="start" CRM_meta_remote_node="rhel7-node1" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="30" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="31" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="34" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="35" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="30" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="31" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="remote-rsc" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="rhel7-node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="34" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="35" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="35" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="36" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="39" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="40" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rhel7-node1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="remote-rsc" CRM_meta_migrate_source="rhel7-node2" CRM_meta_migrate_target="rhel7-node3" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="38" operation="migrate_to" operation_key="rhel7-node1_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="39" operation="migrate_to" operation_key="rhel7-node1_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <rsc_op id="38" operation="migrate_to" operation_key="rhel7-node1_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="39" operation="migrate_to" operation_key="rhel7-node1_migrate_to_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rhel7-node1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="remote-rsc" CRM_meta_migrate_source="rhel7-node2" CRM_meta_migrate_target="rhel7-node3" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="34" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="12" operation="monitor" operation_key="rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="migrate_from" operation_key="remote-rsc_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="37" operation="monitor" operation_key="rhel7-node1_monitor_30000" on_node="rhel7-node3" on_node_uuid="3">
+      <rsc_op id="38" operation="monitor" operation_key="rhel7-node1_monitor_30000" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rhel7-node1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="remote-rsc" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="36" operation="start" operation_key="rhel7-node1_start_0"/>
+        <pseudo_event id="37" operation="start" operation_key="rhel7-node1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <pseudo_event id="36" operation="start" operation_key="rhel7-node1_start_0">
+      <pseudo_event id="37" operation="start" operation_key="rhel7-node1_start_0">
         <attributes CRM_meta_container="remote-rsc" CRM_meta_name="start" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="31" operation="start" operation_key="remote-rsc_start_0"/>
+        <rsc_op id="12" operation="monitor" operation_key="rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <pseudo_event id="32" operation="start" operation_key="remote-rsc_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="35" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="36" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="39" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="40" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="35" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2">
+      <rsc_op id="36" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rhel7-node1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="remote-rsc" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="39" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="12" operation="monitor" operation_key="rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="40" operation="migrate_from" operation_key="rhel7-node1_migrate_from_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
+      <rsc_op id="12" operation="monitor" operation_key="rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
+        <primitive id="rhel7-node1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="remote-rsc" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="17">
+    <action_set>
       <pseudo_event id="11" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="13" operation="stop" operation_key="shooter1_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="19" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
+        <rsc_op id="20" operation="stop" operation_key="FAKE3_stop_0" on_node="rhel7-node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="30" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="31" operation="stop" operation_key="remote-rsc_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="35" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
+        <rsc_op id="36" operation="stop" operation_key="rhel7-node1_stop_0" on_node="rhel7-node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
diff --git a/pengine/test10/whitebox-migrate1.summary b/pengine/test10/whitebox-migrate1.summary
index 7cbe03d2e..a6e4c00d7 100644
--- a/pengine/test10/whitebox-migrate1.summary
+++ b/pengine/test10/whitebox-migrate1.summary
@@ -23,6 +23,7 @@ Executing cluster transition:
  * Resource action: shooter1        stop on rhel7-node3
  * Resource action: FAKE3           stop on rhel7-node3
  * Resource action: remote-rsc      migrate_to on rhel7-node2
+ * Resource action: rhel7-node1     monitor on rhel7-node3
  * Resource action: shooter1        start on rhel7-node2
  * Resource action: FAKE3           start on rhel7-node2
  * Resource action: remote-rsc      migrate_from on rhel7-node3
diff --git a/pengine/test10/whitebox-ms-ordering-move.dot b/pengine/test10/whitebox-ms-ordering-move.dot
index 0e4df3c96..fe0b0e801 100644
--- a/pengine/test10/whitebox-ms-ordering-move.dot
+++ b/pengine/test10/whitebox-ms-ordering-move.dot
@@ -40,6 +40,18 @@ digraph "g" {
 "lxc-ms_stop_0 lxc1" -> "lxc-ms_start_0 lxc1" [ style = bold]
 "lxc-ms_stop_0 lxc1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc-ms_stop_0 lxc1" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-2" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-2" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-3" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-4" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-5" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_start_0 lxc1" [ style = bold]
@@ -49,4 +61,8 @@ digraph "g" {
 "lxc1_stop_0 rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "lxc1_stop_0 rhel7-1" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 }
